Subject: Re: [Speechsc] Speech recognition with SI and NLSML - putting it all together

From: "Dave Burke" <[email-masked]>
Date: Fri, 10 Mar 2006 18:45:56 -0000

Some further comments on NLSML and its use of "XForms":

The original NLSML was based on a proposal (!) for XForms, dating back to 
2000. XForms 1.0 was released as a W3C Recommendation in 2003 and is VERY 
different to the one used by NLSML. Said differently, NLSML's use of XForms 
is broken.

I strongly suggest removing any mention of XForms (but keep the <instance> 
element, which is a container element for the serialised semantic 
interpretation result - a better element name might be <semantics> but 
that's just cosmetic). Note that EMMA, the evolution of NLSML, is agnostic 
to the data model - we don't need one either.

Dave

----- Original Message ----- 
From: "Dave Burke" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 27, 2006 4:55 PM
Subject: [Speechsc] Speech recognition with SI and NLSML - putting it all 
together

>A key function of the MRCP framework is to perform speech recognition and 
>return a semantic result to the MRCP client. To do that with baseline 
>interoperability assured, we need sufficient protocol machinery (tick), 
>normative data representation formats (partial tick), and normative 
>behaviour gluing everything together (partial tick).
>
> Currently:
>
> o The XML form of SRGS is required. However, SRGS does not normatively 
> reference the Semantic Interpretation for Speech Recognition (SISR). 
> Therefore, MRCP does not normatively specify a semantic interpretation 
> language.
>
> o We've got an imported version of NLSML. However, we don't say how the 
> semantic result gets mapped into the <instance> content.
>
> Proposal:
>
>    1. Normatively require the Semantic Interpretation for Speech 
> Recognition specification (now Candidate Recommendation).
>        See - http://www.w3.org/TR/semantic-interpretation/
>
>    2. In 9.6.3.3 INSTANCE element, add some text along the lines of:
>
>        "The <instance> element contains the interpretation of the 
> utterance. When
>        the Semantic Interpretation for Speech Recognition format is used, 
> the
>        <instance> element contains the XML serialization of the ECMAScript 
> result
>        using the approach defined in that specification."
>
> Dave
> 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: Jerry Carter <[email-masked]>
Date: Sun, 12 Mar 2006 17:44:02 -0500

I concur.  The reference to the XForms data model is out of date.  The 
May 2001 NLSML draft that is referenced by MRCP v1 dropped the XForms 
connection in favor of XML Schema.  I don't see any value to adding an 
unnecessarily complication to NLSML.

As for the element name, <instance> has been used for quite some time 
and is part of several MRCP v1 implementations.

On Mar 10, 2006, at 1:45 PM, Dave Burke wrote:

> The original NLSML was based on a proposal (!) for XForms, dating back 
> to 2000. XForms 1.0 was released as a W3C Recommendation in 2003 and 
> is VERY different to the one used by NLSML. Said differently, NLSML's 
> use of XForms is broken.
>
> I strongly suggest removing any mention of XForms (but keep the 
> <instance> element, which is a container element for the serialised 
> semantic interpretation result - a better element name might be 
> <semantics> but that's just cosmetic). Note that EMMA, the evolution 
> of NLSML, is agnostic to the data model - we don't need one either.
>
> Dave
>
> ----- Original Message ----- From: "Dave Burke" 
> <[email-masked]>
> To: <[email-masked]>
> Subject: [Speechsc] Speech recognition with SI and NLSML - putting it 
> all together
>
>
>> A key function of the MRCP framework is to perform speech recognition 
>> and return a semantic result to the MRCP client. To do that with 
>> baseline interoperability assured, we need sufficient protocol 
>> machinery (tick), normative data representation formats (partial 
>> tick), and normative behaviour gluing everything together (partial 
>> tick).
>>
>> Currently:
>>
>> o The XML form of SRGS is required. However, SRGS does not 
>> normatively reference the Semantic Interpretation for Speech 
>> Recognition (SISR). Therefore, MRCP does not normatively specify a 
>> semantic interpretation language.
>>
>> o We've got an imported version of NLSML. However, we don't say how 
>> the semantic result gets mapped into the <instance> content.
>>
>> Proposal:
>>
>>        the Semantic Interpretation for Speech Recognition format is 
>> used, the
>>        <instance> element contains the XML serialization of the 
>> ECMAScript result